lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "active_tracker/version"

Gem::Specification.new do |spec|
  spec.platform      = Gem::Platform::RUBY
  spec.name          = "activetracker"
  spec.version       = ActiveTracker::VERSION
  spec.authors       = ["Andy Jeffries"]
  spec.email         = ["andy@civo.com"]

  spec.summary       = %q{Sends log output, errors, etc to the ActiveTracker application}
  spec.description   = %q{ActiveTracker is a self-hosted website (combined with this rubygem) to track user requests through your logs, see errors raise and queue usage/failures}
  spec.homepage      = "https://github.com/civo/activetracker"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://github.com/civo/activetracker"
    spec.metadata["changelog_uri"] = "https://github.com/civo/activetracker/blob/master/CHANGELOG.md"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.test_files    = Dir["spec/**/*"]
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "activesupport"
  spec.add_development_dependency "rspec-rails"
  spec.add_development_dependency "rails"
  spec.add_development_dependency "timecop"
  spec.add_development_dependency "fakeredis"
  spec.add_development_dependency 'capybara'
  spec.add_development_dependency 'factory_girl_rails'

  spec.add_dependency "redis", "~> 4.0"
end
